"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _mkdirp = _interopRequireDefault(require("mkdirp"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

let createDirectory = function (dir) {
  console.log(`Creating directory ${dir}`);
  (0, _mkdirp.default)(dir);
};

function _default(config) {
  // Create directories for image assets
  for (let size in config.artwork.fanart) {
    createDirectory(`${config.assets.movieFanartLocation}/${size}`);
  }

  for (let size in config.artwork.poster) {
    createDirectory(`${config.assets.moviePosterLocation}/${size}`);
    createDirectory(`${config.assets.showPosterLocation}/${size}`);
  }

  for (let size in config.artwork.banner) {
    createDirectory(`${config.assets.episodeBannerLocation}/${size}`);
  }

  let size = 'original';
  createDirectory(`${config.assets.movieFanartLocation}/${size}`);
  createDirectory(`${config.assets.moviePosterLocation}/${size}`);
  createDirectory(`${config.assets.showPosterLocation}/${size}`);
  createDirectory(`${config.assets.episodeBannerLocation}/${size}`);
}