"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _fs = require("fs");

var _generateAssetDirectories = _interopRequireDefault(require("../helpers/generateAssetDirectories"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = async args => {
  try {
    let config = JSON.parse(await _fs.promises.readFile('/etc/oblecto/config.json'));
    (0, _generateAssetDirectories.default)(config);
  } catch (e) {
    console.log('Could not find config file');
    console.log('Make sure oblecto has been initialized before regenerating asset directories');
  }
};

exports.default = _default;