"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _FederationMediaServer = _interopRequireDefault(require("./FederationMediaServer"));

var _FederationDataServer = _interopRequireDefault(require("./FederationDataServer"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class FederationController {
  constructor(oblecto) {
    this.oblecto = oblecto;
    this.initiateFederation();
  }

  initiateFederation() {
    this.federationMediaServer = new _FederationMediaServer.default(this.oblecto, this.oblecto.config.federation.mediaPort);
    this.federationDataServer = new _FederationDataServer.default(this.oblecto, this.oblecto.config.federation.dataPort);
  }

  close() {
    this.federationDataServer.close();
    this.federationMediaServer.close();
  }

}

exports.default = FederationController;