"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _MediaIdentifier = _interopRequireDefault(require("../MediaIdentifier"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class EpisodeIdentifier extends _MediaIdentifier.default {
  /**
   * Identify an Episode based a file path and series information
   *
   * @param {String} path - File path to the Episode
   * @params {JSON} Guessit - identification object
   * @param {Series} series - Series object from Sequalize
   * @returns {Promise<JSON>}
   */
  async identify(path, guessitIdentification, series) {}

}

exports.default = EpisodeIdentifier;