export default class SeriesIdentifier extends MediaIdentifier {
    constructor(oblecto: import("../../oblecto").default);
    /**
     * Identify a Series of an Episode based a file path
     * @param {String} path File path to the Episode
     * @param {JSON} Guessit identification object
     * @returns {Promise<JSON>}
     */
    identify(path: string, guessitIdentification: any): Promise<JSON>;
}
import MediaIdentifier from "../MediaIdentifier";
