/// <reference types="node" />
export default class RealtimeClient extends events.EventEmitter {
    /**
     * @param {Oblecto} oblecto
     * @param {*} socket
     */
    constructor(oblecto: any, socket: any);
    clientName: string;
    oblecto: any;
    socket: any;
    user: any;
    storage: {
        series: {};
        movie: {};
    };
    authenticationHandler(data: any): void;
    playingHandler(data: any): void;
    playingEpisodeHandler(data: any): void;
    playingMovieHandler(data: any): void;
    disconnectHandler(): void;
    saveEpisodeTrack(id: any): Promise<void>;
    saveMovieTrack(id: any): Promise<void>;
    saveAllTracks(): Promise<void>;
    playEpisode(episodeId: any): Promise<void>;
    playMovie(movieId: any): Promise<void>;
}
import events from "events";
