"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.fileColumns = exports.File = void 0;

var _sequelize = require("sequelize");

class File extends _sequelize.Model {}

exports.File = File;
const fileColumns = {
  host: _sequelize.DataTypes.STRING,
  path: _sequelize.DataTypes.STRING,
  name: _sequelize.DataTypes.STRING,
  directory: _sequelize.DataTypes.STRING,
  extension: _sequelize.DataTypes.STRING,
  container: _sequelize.DataTypes.STRING,
  videoCodec: _sequelize.DataTypes.STRING,
  audioCodec: _sequelize.DataTypes.STRING,
  duration: _sequelize.DataTypes.DOUBLE,
  hash: {
    type: _sequelize.DataTypes.STRING,
    allowNull: true
  },
  size: {
    type: _sequelize.DataTypes.BIGINT,
    allowNull: true
  }
};
exports.fileColumns = fileColumns;