export class Movie extends Model<any, any> {
    constructor(values?: any, options?: import("sequelize/types").BuildOptions | undefined);
}
export namespace movieColumns {
    namespace tmdbid {
        const type: DataTypes.IntegerDataTypeConstructor;
        const allowNull: boolean;
        const unique: boolean;
    }
    namespace imdbid {
        const type_1: DataTypes.StringDataTypeConstructor;
        export { type_1 as type };
        const allowNull_1: boolean;
        export { allowNull_1 as allowNull };
        const unique_1: boolean;
        export { unique_1 as unique };
    }
    const movieName: DataTypes.StringDataTypeConstructor;
    const originalName: DataTypes.StringDataTypeConstructor;
    const tagline: DataTypes.StringDataTypeConstructor;
    const originalLanguage: DataTypes.StringDataTypeConstructor;
    const budget: DataTypes.IntegerDataTypeConstructor;
    const revenue: DataTypes.IntegerDataTypeConstructor;
    const runtime: DataTypes.IntegerDataTypeConstructor;
    const popularity: DataTypes.FloatDataTypeConstructor;
    const releaseDate: DataTypes.DateOnlyDataTypeConstructor;
    const overview: DataTypes.TextDataTypeConstructor;
}
import { Model } from "sequelize/types/lib/model";
import { DataTypes } from "sequelize/types";
