"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.movieColumns = exports.Movie = void 0;

var _sequelize = require("sequelize");

class Movie extends _sequelize.Model {}

exports.Movie = Movie;
const movieColumns = {
  tmdbid: {
    type: _sequelize.DataTypes.INTEGER,
    allowNull: true,
    unique: true
  },
  imdbid: {
    type: _sequelize.DataTypes.STRING,
    allowNull: true,
    unique: true
  },
  movieName: _sequelize.DataTypes.STRING,
  originalName: _sequelize.DataTypes.STRING,
  tagline: _sequelize.DataTypes.STRING,
  genres: _sequelize.DataTypes.STRING,
  originalLanguage: _sequelize.DataTypes.STRING,
  budget: _sequelize.DataTypes.INTEGER,
  revenue: _sequelize.DataTypes.INTEGER,
  runtime: _sequelize.DataTypes.INTEGER,
  popularity: _sequelize.DataTypes.FLOAT,
  releaseDate: _sequelize.DataTypes.DATEONLY,
  overview: _sequelize.DataTypes.TEXT
};
exports.movieColumns = movieColumns;