"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.seriesColumns = exports.Series = void 0;

var _sequelize = require("sequelize");

class Series extends _sequelize.Model {}

exports.Series = Series;
const seriesColumns = {
  tvdbid: {
    type: _sequelize.DataTypes.INTEGER,
    allowNull: true,
    unique: true
  },
  imdbid: {
    type: _sequelize.DataTypes.STRING(64),
    allowNull: true,
    unique: true
  },
  zap2itId: {
    type: _sequelize.DataTypes.STRING(64),
    allowNull: true,
    unique: true
  },
  tmdbid: {
    type: _sequelize.DataTypes.INTEGER,
    allowNull: true,
    unique: true
  },
  seriesName: _sequelize.DataTypes.STRING,
  alias: _sequelize.DataTypes.STRING,
  genre: _sequelize.DataTypes.STRING,
  status: _sequelize.DataTypes.STRING,
  firstAired: _sequelize.DataTypes.DATEONLY,
  network: _sequelize.DataTypes.STRING,
  runtime: _sequelize.DataTypes.INTEGER,
  overview: _sequelize.DataTypes.TEXT,
  airsDayOfWeek: _sequelize.DataTypes.STRING,
  airsTime: _sequelize.DataTypes.STRING,
  rating: _sequelize.DataTypes.STRING,
  popularity: _sequelize.DataTypes.FLOAT,
  siteRating: _sequelize.DataTypes.DOUBLE,
  siteRatingCount: _sequelize.DataTypes.INTEGER,
  directory: _sequelize.DataTypes.STRING
};
exports.seriesColumns = seriesColumns;