"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _restify = _interopRequireDefault(require("restify"));

var _fs = _interopRequireDefault(require("fs"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = (server, oblecto) => {
  server.get('/web/static/*', _restify.default.plugins.serveStatic({
    directory: __dirname + '/../../../../Oblecto-Web/dist/'
  }));
  server.get('/web/logo.png', async (req, res, next) => {
    _fs.default.readFile(__dirname + '/../../../../images/logomark.png', function (err, body) {
      res.writeHead(200, {
        'Content-Length': Buffer.byteLength(body),
        'Content-Type': 'image/png'
      });
      res.write(body);
      res.end();
    });
  });
  server.get('/web*', async (req, res, next) => {
    _fs.default.readFile(__dirname + '/../../../../Oblecto-Web/dist/web/index.html', 'utf8', function (err, body) {
      res.writeHead(200, {
        'Content-Length': Buffer.byteLength(body),
        'Content-Type': 'text/html'
      });
      res.write(body);
      res.end();
    });
  });
  server.get('/', async (req, res, next) => {
    res.redirect('/web', next);
  });
};

exports.default = _default;