"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = ffprobe;

var _ffmpeg = _interopRequireDefault(require("./ffmpeg"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function ffprobe(path) {
  return new Promise(function (resolve, reject) {
    _ffmpeg.default.ffprobe(path, function (err, metadata) {
      if (err) {
        return reject(err);
      }

      return resolve(metadata);
    });
  });
}