"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _database = require("../../../submodules/database");

var _default = async args => {
  const sequelize = (0, _database.initDatabase)();
  let options = {};
  if ('--alter' in args) options = {
    alter: true
  };
  await sequelize.authenticate();
  await sequelize.sync(options);
  await sequelize.close();
};

exports.default = _default;