/// <reference types="node" />
export default class FederationClient {
    /**
     *
     * @param {Oblecto} oblecto
     * @param {string} server
     */
    constructor(oblecto: any, server: string);
    oblecto: any;
    serverName: string;
    host: any;
    port: number;
    isSecure: boolean;
    authenticated: boolean;
    eventEmitter: any;
    dataRead: string;
    connect(): Promise<void>;
    socket: tls.TLSSocket | undefined;
    write(header: any, content: any): void;
    dataHandler(chunk: any): void;
    headerHandler(data: any): void;
    challengeHandler(data: any): Promise<void>;
    authAcceptHandler(data: any): Promise<void>;
    secureConnectHandler(): void;
    errorHandler(error: any): void;
    closeHandler(): void;
    waitForSecure(): Promise<any>;
    waitForAuth(): Promise<any>;
    close(): void;
}
import tls from "tls";
