export default class MovieIdentifier extends MediaIdentifier {
    constructor(oblecto: import("../../oblecto").default);
    /**
     * Identify a Movie based a file path
     * @param {String} path File path to the Movie
     * @returns {Promise<JSON>}
     */
    identify(path: string): Promise<JSON>;
}
import MediaIdentifier from "../MediaIdentifier";
