export default class EpisodeIdentifier extends MediaIdentifier {
    constructor(oblecto: import("../../oblecto").default);
    /**
     * Identify an Episode based a file path and series information
     * @param {String} path File path to the Episode
     * @params {JSON} Guessit identification object
     * @param {Series} series Series object from Sequalize
     * @returns {Promise<JSON>}
     */
    identify(path: string, guessitIdentification: any, series: any): Promise<JSON>;
}
import MediaIdentifier from "../MediaIdentifier";
