"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _MediaIdentifier = _interopRequireDefault(require("../MediaIdentifier"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class SeriesIdentifier extends _MediaIdentifier.default {
  /**
   * Identify a Series of an Episode based a file path
   *
   * @param {String} path File path to the Episode
   * @param {JSON} Guessit identification object
   * @returns {Promise<JSON>}
   */
  async identify(path, guessitIdentification) {}

}

exports.default = SeriesIdentifier;