/// <reference types="node" />
export default class StreamSession extends events.EventEmitter {
    /**
     *
     * @param {File} file
     * @param options
     * @param {Oblecto} oblecto
     */
    constructor(file: any, options: any, oblecto: any);
    oblecto: any;
    file: any;
    sessionId: any;
    destinations: any[];
    targetFormats: any;
    targetVideoCodecs: any;
    targetAudioCodecs: any;
    format: any;
    videoCodec: any;
    audioCodec: any;
    offset: any;
    inputStream: Stream.PassThrough;
    outputStream: Stream.PassThrough;
    httpHeaders: {
        'Content-Type': string;
        'Accept-Ranges': string;
    };
    httpStatusCode: number;
    timeoutTime: number;
    outputPause(): void;
    outputResume(): void;
    endSession(): void;
    startTimeout(): void;
    timeout: NodeJS.Timeout | undefined;
    addDestination(destination: any): Promise<void>;
    clearTimeout(): void;
    startStream(): Promise<void>;
    getOutputMimetype(): "video/mp4" | "video/mp2t" | "video/video/x-matroska" | "video";
    getFfmpegVideoCodec(): any;
}
import events from "events";
import Stream from "stream";
