export default class SeriesUpdateCollector {
    /**
     *
     * @param {Oblecto} oblecto
     */
    constructor(oblecto: any);
    oblecto: any;
    /**
     *
     * @param {Episode} episode - Episode for which to download the episode banner for
     * @returns {Promise<void>}
     */
    collectEpisode(episode: Episode): Promise<void>;
    /**
     *
     * @param {Series} series - Series for which to download the series poster for
     * @returns {Promise<void>}
     */
    collectSeries(series: Series): Promise<void>;
    /**
     *
     * @returns {Promise<void>}
     */
    collectAllEpisodes(): Promise<void>;
    /**
     *
     * @returns {Promise<void>}
     */
    collectAllSeries(): Promise<void>;
    /**
     *
     * @returns {Promise<void>}
     */
    collectAll(): Promise<void>;
}
import { Episode } from "../../../models/episode";
import { Series } from "../../../models/series";
