export class Episode extends Model<any, any> {
    constructor(values?: any, options?: import("sequelize/types").BuildOptions | undefined);
}
export namespace episodeColumns {
    namespace tvdbid {
        const type: DataTypes.IntegerDataTypeConstructor;
        const allowNull: boolean;
        const unique: boolean;
    }
    namespace tmdbid {
        const type_1: DataTypes.IntegerDataTypeConstructor;
        export { type_1 as type };
        const allowNull_1: boolean;
        export { allowNull_1 as allowNull };
        const unique_1: boolean;
        export { unique_1 as unique };
    }
    namespace imdbid {
        const type_2: DataTypes.StringDataTypeConstructor;
        export { type_2 as type };
        const allowNull_2: boolean;
        export { allowNull_2 as allowNull };
        const unique_2: boolean;
        export { unique_2 as unique };
    }
    namespace episodeName {
        const type_3: DataTypes.StringDataTypeConstructor;
        export { type_3 as type };
        const allowNull_3: boolean;
        export { allowNull_3 as allowNull };
    }
    namespace absoluteNumber {
        const type_4: DataTypes.IntegerDataTypeConstructor;
        export { type_4 as type };
        const allowNull_4: boolean;
        export { allowNull_4 as allowNull };
    }
    namespace airedEpisodeNumber {
        const type_5: DataTypes.StringDataTypeConstructor;
        export { type_5 as type };
        const allowNull_5: boolean;
        export { allowNull_5 as allowNull };
    }
    namespace airedSeason {
        const type_6: DataTypes.StringDataTypeConstructor;
        export { type_6 as type };
        const allowNull_6: boolean;
        export { allowNull_6 as allowNull };
    }
    namespace dvdEpisodeNumber {
        const type_7: DataTypes.StringDataTypeConstructor;
        export { type_7 as type };
        const allowNull_7: boolean;
        export { allowNull_7 as allowNull };
    }
    namespace dvdSeason {
        const type_8: DataTypes.StringDataTypeConstructor;
        export { type_8 as type };
        const allowNull_8: boolean;
        export { allowNull_8 as allowNull };
    }
    namespace firstAired {
        const type_9: DataTypes.DateOnlyDataTypeConstructor;
        export { type_9 as type };
        const allowNull_9: boolean;
        export { allowNull_9 as allowNull };
    }
    namespace overview {
        const type_10: DataTypes.StringDataTypeConstructor;
        export { type_10 as type };
        const allowNull_10: boolean;
        export { allowNull_10 as allowNull };
    }
}
import { Model } from "sequelize/types/lib/model";
import { DataTypes } from "sequelize/types";
