export class File extends Model<any, any> {
    constructor(values?: any, options?: import("sequelize/types").BuildOptions | undefined);
}
export namespace fileColumns {
    const host: DataTypes.StringDataTypeConstructor;
    const path: DataTypes.StringDataTypeConstructor;
    const name: DataTypes.StringDataTypeConstructor;
    const directory: DataTypes.StringDataTypeConstructor;
    const extension: DataTypes.StringDataTypeConstructor;
    const container: DataTypes.StringDataTypeConstructor;
    const videoCodec: DataTypes.StringDataTypeConstructor;
    const audioCodec: DataTypes.StringDataTypeConstructor;
    const duration: DataTypes.DoubleDataTypeConstructor;
    namespace hash {
        const type: DataTypes.StringDataTypeConstructor;
        const allowNull: boolean;
    }
    namespace size {
        const type_1: DataTypes.BigIntDataTypeConstructor;
        export { type_1 as type };
        const allowNull_1: boolean;
        export { allowNull_1 as allowNull };
    }
}
import { Model } from "sequelize/types/lib/model";
import { DataTypes } from "sequelize/types";
