"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.movieSetColumns = exports.MovieSet = void 0;

var _sequelize = require("sequelize");

class MovieSet extends _sequelize.Model {}

exports.MovieSet = MovieSet;
const movieSetColumns = {
  setName: _sequelize.DataTypes.STRING,
  overview: _sequelize.DataTypes.TEXT,
  tmdbid: {
    type: _sequelize.DataTypes.INTEGER,
    allowNull: true,
    unique: true
  },
  public: {
    type: _sequelize.DataTypes.BOOLEAN,
    defaultValue: true
  }
};
exports.movieSetColumns = movieSetColumns;