export class Series extends Model<any, any> {
    constructor(values?: any, options?: import("sequelize/types").BuildOptions | undefined);
}
export namespace seriesColumns {
    namespace tvdbid {
        const type: DataTypes.IntegerDataTypeConstructor;
        const allowNull: boolean;
        const unique: boolean;
    }
    namespace imdbid {
        const type_1: DataTypes.StringDataType;
        export { type_1 as type };
        const allowNull_1: boolean;
        export { allowNull_1 as allowNull };
        const unique_1: boolean;
        export { unique_1 as unique };
    }
    namespace seriesId {
        const type_2: DataTypes.IntegerDataTypeConstructor;
        export { type_2 as type };
        const allowNull_2: boolean;
        export { allowNull_2 as allowNull };
        const unique_2: boolean;
        export { unique_2 as unique };
    }
    namespace zap2itId {
        const type_3: DataTypes.StringDataType;
        export { type_3 as type };
        const allowNull_3: boolean;
        export { allowNull_3 as allowNull };
        const unique_3: boolean;
        export { unique_3 as unique };
    }
    namespace tmdbid {
        const type_4: DataTypes.IntegerDataTypeConstructor;
        export { type_4 as type };
        const allowNull_4: boolean;
        export { allowNull_4 as allowNull };
        const unique_4: boolean;
        export { unique_4 as unique };
    }
    const seriesName: DataTypes.StringDataTypeConstructor;
    const alias: DataTypes.StringDataTypeConstructor;
    const genre: DataTypes.StringDataTypeConstructor;
    const status: DataTypes.StringDataTypeConstructor;
    const firstAired: DataTypes.DateOnlyDataTypeConstructor;
    const network: DataTypes.StringDataTypeConstructor;
    const runtime: DataTypes.IntegerDataTypeConstructor;
    const overview: DataTypes.TextDataTypeConstructor;
    const airsDayOfWeek: DataTypes.StringDataTypeConstructor;
    const airsTime: DataTypes.StringDataTypeConstructor;
    const rating: DataTypes.StringDataTypeConstructor;
    const popularity: DataTypes.FloatDataTypeConstructor;
    const siteRating: DataTypes.DoubleDataTypeConstructor;
    const siteRatingCount: DataTypes.IntegerDataTypeConstructor;
    const directory: DataTypes.StringDataTypeConstructor;
}
import { Model } from "sequelize/types/lib/model";
import { DataTypes } from "sequelize/types";
