export class Stream extends Model<any, any> {
    constructor(values?: any, options?: import("sequelize/types").BuildOptions | undefined);
}
export namespace streamColumns {
    const index: DataTypes.IntegerDataTypeConstructor;
    const codec_name: DataTypes.StringDataTypeConstructor;
    const profile: DataTypes.StringDataTypeConstructor;
    const codec_type: DataTypes.StringDataTypeConstructor;
    const codec_time_base: DataTypes.StringDataTypeConstructor;
    const codec_tag_string: DataTypes.StringDataTypeConstructor;
    const sample_fmt: DataTypes.StringDataTypeConstructor;
    const sample_rate: DataTypes.IntegerDataTypeConstructor;
    const bits_per_sample: DataTypes.IntegerDataTypeConstructor;
    const channels: DataTypes.IntegerDataTypeConstructor;
    const channel_layout: DataTypes.StringDataTypeConstructor;
    const width: DataTypes.IntegerDataTypeConstructor;
    const height: DataTypes.IntegerDataTypeConstructor;
    const coded_width: DataTypes.IntegerDataTypeConstructor;
    const coded_height: DataTypes.IntegerDataTypeConstructor;
    const has_b_frames: DataTypes.IntegerDataTypeConstructor;
    const sample_aspect_ratio: DataTypes.StringDataTypeConstructor;
    const display_aspect_ratio: DataTypes.StringDataTypeConstructor;
    const pix_fmt: DataTypes.StringDataTypeConstructor;
    const level: DataTypes.IntegerDataTypeConstructor;
    const color_range: DataTypes.StringDataTypeConstructor;
    const color_space: DataTypes.StringDataTypeConstructor;
    const color_transfer: DataTypes.StringDataTypeConstructor;
    const color_primaries: DataTypes.StringDataTypeConstructor;
    const chroma_location: DataTypes.StringDataTypeConstructor;
    const field_order: DataTypes.StringDataTypeConstructor;
    const timecode: DataTypes.IntegerDataTypeConstructor;
    const refs: DataTypes.IntegerDataTypeConstructor;
    const is_avc: DataTypes.AbstractDataTypeConstructor;
    const nal_length_size: DataTypes.IntegerDataTypeConstructor;
    const stream_id: DataTypes.StringDataTypeConstructor;
    const r_frame_rate: DataTypes.StringDataTypeConstructor;
    const avg_frame_rate: DataTypes.StringDataTypeConstructor;
    const time_base: DataTypes.StringDataTypeConstructor;
    const start_pts: DataTypes.BigIntDataTypeConstructor;
    const start_time: DataTypes.IntegerDataTypeConstructor;
    const duration_ts: DataTypes.BigIntDataTypeConstructor;
    const duration: DataTypes.IntegerDataTypeConstructor;
    const bit_rate: DataTypes.IntegerDataTypeConstructor;
    const max_bit_rate: DataTypes.IntegerDataTypeConstructor;
    const bits_per_raw_sample: DataTypes.IntegerDataTypeConstructor;
    const nb_frames: DataTypes.IntegerDataTypeConstructor;
    const nb_read_frames: DataTypes.IntegerDataTypeConstructor;
    const nb_read_packets: DataTypes.IntegerDataTypeConstructor;
    const disposition_default: DataTypes.IntegerDataTypeConstructor;
    const disposition_dub: DataTypes.IntegerDataTypeConstructor;
    const disposition_original: DataTypes.IntegerDataTypeConstructor;
    const disposition_comment: DataTypes.IntegerDataTypeConstructor;
    const disposition_lyrics: DataTypes.IntegerDataTypeConstructor;
    const disposition_karaoke: DataTypes.IntegerDataTypeConstructor;
    const disposition_forced: DataTypes.IntegerDataTypeConstructor;
    const disposition_hearing_impaired: DataTypes.IntegerDataTypeConstructor;
    const disposition_clean_effects: DataTypes.IntegerDataTypeConstructor;
    const disposition_attached_pic: DataTypes.IntegerDataTypeConstructor;
    const disposition_timed_thumbnails: DataTypes.IntegerDataTypeConstructor;
    const tags_language: DataTypes.StringDataTypeConstructor;
    const tags_title: DataTypes.StringDataTypeConstructor;
    const dmix_mode: DataTypes.IntegerDataTypeConstructor;
    const ltrt_cmixlev: DataTypes.IntegerDataTypeConstructor;
    const ltrt_surmixlev: DataTypes.IntegerDataTypeConstructor;
    const loro_cmixlev: DataTypes.IntegerDataTypeConstructor;
    const loro_surmixlev: DataTypes.IntegerDataTypeConstructor;
    const quarter_sample: DataTypes.AbstractDataTypeConstructor;
    const divx_packed: DataTypes.AbstractDataTypeConstructor;
    const side_data_type: DataTypes.StringDataTypeConstructor;
    const closed_captions: DataTypes.StringDataTypeConstructor;
}
import { Model } from "sequelize/types/lib/model";
import { DataTypes } from "sequelize/types";
