"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.userColumns = exports.User = void 0;

var _sequelize = require("sequelize");

class User extends _sequelize.Model {}

exports.User = User;
const userColumns = {
  username: {
    type: _sequelize.DataTypes.STRING(16),
    unique: true
  },
  name: _sequelize.DataTypes.STRING,
  email: _sequelize.DataTypes.STRING,
  password: _sequelize.DataTypes.STRING,
  access_token: {
    type: _sequelize.DataTypes.STRING,
    allowNull: true
  }
};
exports.userColumns = userColumns;