"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _auth = _interopRequireDefault(require("./auth"));

var _episodes = _interopRequireDefault(require("./episodes"));

var _streaming = _interopRequireDefault(require("./streaming"));

var _movies = _interopRequireDefault(require("./movies"));

var _tvshows = _interopRequireDefault(require("./tvshows"));

var _settings = _interopRequireDefault(require("./settings"));

var _users = _interopRequireDefault(require("./users"));

var _web = _interopRequireDefault(require("./web"));

var _sets = _interopRequireDefault(require("./sets"));

var _clients = _interopRequireDefault(require("./clients"));

var _files = _interopRequireDefault(require("./files"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = (server, oblecto) => {
  if (oblecto.config.web.enabled) {
    (0, _web.default)(server, oblecto);
  }

  (0, _auth.default)(server, oblecto);
  (0, _episodes.default)(server, oblecto);
  (0, _streaming.default)(server, oblecto);
  (0, _files.default)(server, oblecto);
  (0, _movies.default)(server, oblecto);
  (0, _tvshows.default)(server, oblecto);
  (0, _settings.default)(server, oblecto);
  (0, _users.default)(server, oblecto);
  (0, _sets.default)(server, oblecto);
  (0, _clients.default)(server, oblecto);
};

exports.default = _default;